Uploaded image for project: 'Indy Node'
  1. Indy Node
  2. INDY-1824

Validator on Sovrin MainNet fails to upgrade, then fails to revert.

    Details

    • Type: Bug
    • Status: Complete
    • Priority: High
    • Resolution: Done
    • Affects Version/s: None
    • Fix Version/s: None
    • Component/s: None
    • Labels:
      None
    • Documentation Impact:
      Unset

      Description

      The attached journalctl logs show that during yesterday's automated upgrade, the correct packages appear to have been downloaded, but the migration script failed to run. If the steward tries to manually run the migration script, he gets the same error. It appears that the package updates did not run properly, even though dpkg -l returns the correct 1.6.78 version information.

      Question 1: How can we recover from this?

      After the failed migration, the logs show that an attempt to roll back the node packages failed. There are no apt holds of packages on this node. 

      Question 2: Correct upgrade logic to fix failed roll back.

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                Unassigned
                Reporter:
                mgbailey Mike Bailey
                Watchers:
                Alexander Shcherbakov, Mike Bailey
              • Votes:
                0 Vote for this issue
                Watchers:
                2 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: